function putUIText_ParamsSOC(hPar, x,y,labelStrGS,labelStrIS,labelStrFS, paramDataGS,paramDataIS,paramDataFS, unit , col )


%     annotation('textbox', [x,y,0.3,0.05],...
%             'EdgeColor','none','FontSize',14,'Color',col,...
%             'String', [lab num2str(val,'%1.3f') unit]);         
% %             'String', [lab val unit]);    

    myFontSize =13;

    % ------------------------------------------    
    ddx = 65;    
    gap = 45;
    % ------------------------------------------
    hui = uibutton('Style','text',...                             % uibutton from FileExchange to have Latex text labels
            'Parent',hPar,...
             'String',[labelStrGS],...
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+5,y,70,20],...
             'BackgroundColor','white',...
             'HorizontalAlignment','left');
    set(hui,'fontunits','normalized')
    hui = uicontrol('Style','text',...
             'String',[num2str(paramDataGS,'%1.3f') unit],...
             'Parent',hPar,...             
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+ddx,y,65,20],...
             'BackgroundColor','white',...
             'HorizontalAlignment','right');   
    set(hui,'fontunits','normalized')

    hui = uicontrol('Style','text',...
            'Parent',hPar,...
             'String',[labelStrIS(1:end-3)],...
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+2*ddx+gap,y,70,20],...
             'BackgroundColor','white',...
             'HorizontalAlignment','left');  
    set(hui,'fontunits','normalized')
    hui = uicontrol('Style','text',...
             'String',[num2str(paramDataIS) unit],...
             'Parent',hPar,...             
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+3*ddx+gap,y,65,20],...
             'BackgroundColor','white',...
             'HorizontalAlignment','right');   
    set(hui,'fontunits','normalized')

    hui = uicontrol('Style','text',...
            'Parent',hPar,...
             'String',[labelStrFS(1:end-3)],...
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+4*ddx+2*gap,y,70,20],...
             'BackgroundColor','white',...
             'HorizontalAlignment','left');  
    set(hui,'fontunits','normalized')
    hui = uicontrol('Style','text',...
             'String',[num2str(paramDataFS) unit],...
             'Parent',hPar,...             
             'ForegroundColor',col,...
             'FontSize',myFontSize,...
             'Position',[x+5*ddx+2*gap,y,65,20],...
             'BackgroundColor','white',...
             'HorizontalAlignment','right');   
    set(hui,'fontunits','normalized')


    clear x y

end    
